var member = {
	bformSubmit : false,
	/**
	 * 숫자 체크
	 * @param value
	 * @returns
	 */
	checkNumber : function (value){
	    var numPattern = /^[0-9]+$/;
	    return numPattern.test(value);
	},
	
	/**
	 * 이메일 체크
	 * @param email
	 * @returns {Boolean}
	 */
	checkEmail : function(email){ 
		var rtn = false;
		var filter = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
		
		return filter.test(email);
	},
	
	/**
	 * 약관 동의 체크
	 * @returns {Boolean}
	 */
	checkAccept : function(){
		if(! jQuery("#agree1").is(":checked")){
			alert("iVEGA 사이트 이용약관에 동의해 주세요", "agree1");
			jQuery("#agree1").focus();
			return false;
		}
		/*if(! jQuery("#agree2").is(":checked")){
			alert("iVEGA 유료서비스 이용약관에 동의해 주세요", "agree2");
			jQuery("#agree1").focus();
			return false;
		}*/
		if(! jQuery("#agree3").is(":checked")){
			alert("개인정보 수집 및 이용에 동의해 주세요", "agree3");
			jQuery("#agree3").focus();
			return false;
		}
//		if(! jQuery("#agree4").is(":checked")){
//			alert("고유식별정보 수집 및 이용에 동의해 주세요", "agree4");
//			jQuery("#agree4").focus();
//			return false;
//		}
		/*if(! jQuery("#agree5").is(":checked")){
			alert("개인정보 제3자 제공에 동의해 주세요", "agree3");
			jQuery("#agree5").focus();
			return false;
		}*/
		return true;
	},
	
	/**
	 * 동의안된 항목에 focus 이동
	 */
	unCheckedFocus : function(){
		if(! jQuery("#agree1").is(":checked")){
			jQuery("#agree1").focus();
			return ;
		}
		/*if(! jQuery("#agree2").is(":checked")){
			jQuery("#agree2").focus();
			return ;
		}*/
		if(! jQuery("#agree3").is(":checked")){
			jQuery("#agree3").focus();
			return ;
		}
		if(! jQuery("#agree4").is(":checked")){
			jQuery("#agree4").focus();
			return ;
		}
	},
	
	/**
	 * 아이디 중복 확인
	 */
	idDupCheck : function(){
		var userid = jQuery.trim(document.frm1.userId.value);
		var regx1 = /[^a-z^0-9]+/;
		var regx2 = /^[^a-z]/;
		
		if(userid == ''){
			alert("아이디를 입력해 주세요");
			return;
		}else if(userid.length < 6 || userid.length > 12 || !(!regx1.test(userid) && !regx2.test(userid.substr(0,1)))){
			alert('아이디는 6자부터 12자사이로\n영문 소문자와 숫자조합으로 입력해주세요.\n 첫자리는 반드시 영문소문자만 가능합니다.');
			return;
		}else {
			member.idCheck(userid);
		}
	},
	
	/**
	 * 아이디 중복 확인 처리(AJAX)
	 */
	idCheck : function(userid){
		userid = jQuery.trim(userid);
		if(userid == "") return;
		jQuery.ajax({
			url : "/mem/idCheck.do",
			type : 'POST',
			dataType: "json",
			data :"userId="+userid,
			success: function(data){
				var popLayer = jQuery('#idAvailableCheckLayer');
				
				if(data.resultCode == 0){
					popLayer.find("h3").text("아이디 사용가능");
					popLayer.find("#idCheckText").html('아이디 <span class="fcPurple">' + userid + '</span> 은(는) 사용하실 수 있습니다.');
					popLayer.find("#idCheckUseButton").show();
					
				}else if(data.resultCode == 1000){
					popLayer.find("h3").text("아이디 사용불가");
					popLayer.find("#idCheckText").html('아이디는 6자부터 12자사이로<br />영문 소문자와 숫자 조합으로 입력해주세요.<br /> 첫자리는 반드시 영문소문자만 가능합니다.');
					popLayer.find("#idCheckUseButton").hide();
				}else{
					popLayer.find("h3").text("아이디 사용불가");
					popLayer.find("#idCheckText").html('아이디 <span class="fcPurple">' + userid + '</span> 은(는) 이미 사용되고 있습니다.');
					popLayer.find("#idCheckUseButton").hide();
				}
				fnShowLayerPop('idAvailableCheckLayer');
			},
			error: function(data){
				alert("error : " + data.responseText);
			}
		});
	},
	
	/**
	 * 아이디 사용
	 */
	idAvailable : function(){
		var popLayer = jQuery('#idAvailableCheckLayer');
		var userId = popLayer.find("#idCheckText>span.fcPurple").text();
		document.frm1.userId.value = userId;
		document.frm1.dupChk.value = "Y";
		fnHideLayerPop();
	},
	
	/**
	 * 년,월에 따른 날짜 변경
	 */
	setChangeDates : function(dateUlTagId, yName, mName, dName){
		var dateUL = jQuery(dateUlTagId == null ? "#birthday_date_ul" : ("#"+ dateUlTagId));
		var yearS = jQuery("input[name='" + (yName == null ? "year" : yName)+ "']:checked").val();
		var monthS = jQuery("input[name='" + (mName == null ? "month" : mName)+ "']:checked").val();
		var dataName =  (dName == null ? "date" : dName);
		var dateS = jQuery("input[name='" + dataName + "']:checked").val();
		
		if(yearS == "" || monthS == ""){
			dateUL.children(":not(:first)").remove();
			dateUL.children("li:first").children("input[type='radio']").trigger("focus");
		}else{
			var newMaxDate = new Date(new Date(yearS, monthS, 1) - 24 * 60 * 60 * 1000).getDate();
			dateUL.children(":not(:first)").remove();
			
			if(dateS > newMaxDate){
				dateUL.children("li:first").children("input[type='radio']").trigger("focus");
			}
			
			for(var i = 1; i <= newMaxDate; i++){
				dateUL.append('<li><input name="' + dataName + '" id="' + dataName + i + '" class="option" type="radio" value="' + i + '" /><label for="' + dataName + i + '">' + i + '</label></li>');
			}
		}
	},
	
	/**
	 * 년,월에 따른 날짜 변경
	 */
	setChangeDatesMobile : function(yName, mName, dName){
		var dateSelect = jQuery("[name='" + dName + "']");
		var yearS = jQuery("[name='" + (yName == null ? "year" : yName)+ "'] option:selected").val();
		var monthS = jQuery("[name='" + (mName == null ? "month" : mName)+ "'] option:selected").val();
		var dataName =  (dName == null ? "date" : dName);
		var dateS = jQuery("[name='" + dataName + "'] option:selected").val();
		dateSelect.html('');
		
		if(yearS == "" || monthS == ""){
		}else{
			var newMaxDate = new Date(new Date(yearS, monthS, 1) - 24 * 60 * 60 * 1000).getDate();
			
			for(var i = 1; i <= newMaxDate; i++){
				dateSelect.append('<option value="' + i + '">' + i + '일</option>');
			}
		}
	},
	
	keyCode : function(e){
		var result;
		if(window.event){
			result = window.event.keyCode;
		}else if(e){
			result = e.which;
		}
		return result;
	},
	
	/**
	 * 다음 포커스 이동
	 */
	nextFocus : function(event, currentId, nextFocusId, maxLength){
		var keycode = this.keyCode(event);
		if(jQuery("#" + currentId).val().length == maxLength) {
			if( (keycode >= 48 && keycode <= 57)  || (  keycode >= 96 && keycode <= 105) ) {
				jQuery("#" + nextFocusId).focus();
			}
		} 
	},
	
	/**
	 * 숫자 체크
	 * @param obj
	 * @param event
	 */
	onKeyNumberCheck : function(event){	
		var keycode = this.keyCode(event);
		if (keycode < 48 || keycode > 57) {
			event.returnValue = false;
		}
	},
	
	/**
	 * 실명확인 폼 체크
	 */
	nameCheckValidate : function(){
		var form = document.frm1;
		var mtype = document.frm1.mtype.value;
		var alertText = (mtype == "F" ? "외국인" : "주민등록");
		
		if(jQuery.trim(form.name.value) == ""){
			alert("이름을 입력해 주세요.", "userName");
			return false;
		}
		if(jQuery.trim(form.type1Jumin1.value) == ""){
			alert(alertText + "번호 앞자리를 입력해 주세요.", "type1Jumin1");
			return false;
		}
		if(jQuery.trim(form.type1Jumin1.value).length > 6 || jQuery.trim(form.type1Jumin1.value).length < 6){
			alert(alertText + "번호 앞자리는 6자리까지 입력해 주세요.", "type1Jumin1");
			return false;
		}
		if(jQuery.trim(form.type1Jumin2.value) == ""){
			alert(alertText + "번호 뒷자리를 입력해 주세요.", "type1Jumin2");
			return false;
		}
		if(jQuery.trim(form.type1Jumin2.value).length > 7 || jQuery.trim(form.type1Jumin2.value).length < 7){
			alert(alertText + "번호 뒷자리는 7자리까지 입력해 주세요.", "type1Jumin2");
			return false;
		}
		if(! jQuery("form#frm1 [name='juminAgreeCheck']").is(":checked")){
			alert(alertText + "번호 이용에 동의해 주세요.", "agree1");
			return false;
		}
		form.jumin.value = form.type1Jumin1.value + form.type1Jumin2.value;
		//form.submit();
		return true;
	},
	
	/**
	 * 실명확인 폼 체크(보호자)
	 */
	parentNameCheckValidate : function(){
		var form = document.frm1;
		
		if(jQuery.trim(form.parent_name.value) == ""){
			alert("이름을 입력해 주세요.", "parent_name");
			return false;
		}
		if(jQuery.trim(form.parent_jumin1.value) == ""){
			alert("주민번호 앞자리를 입력해 주세요.", "parent_jumin1");
			return false;
		}
		if(jQuery.trim(form.parent_jumin1.value).length > 6 || jQuery.trim(form.parent_jumin1.value).length < 6){
			alert("주민번호 앞자리는 6자리까지 입력해 주세요.", "parent_jumin1");
			return false;
		}
		if(jQuery.trim(form.parent_jumin2.value) == ""){
			alert("주민번호 뒷자리를 입력해 주세요.", "parent_jumin2");
			return false;
		}
		if(jQuery.trim(form.parent_jumin2.value).length > 7 || jQuery.trim(form.parent_jumin2.value).length < 7){
			alert("주민번호 뒷자리는 7자리까지 입력해 주세요.", "parent_jumin2");
			return false;
		}
		
		if(jQuery.trim(form.parent_email1.value) == ""){
			alert("이메일주소를 입력해 주세요", "parent_email1");
			return false;
		}
		if(jQuery.trim(form.parent_email2.value) == ""){
			alert("이메일주소를 입력해 주세요", "parent_email2");
			return false;
		}
		
		form.parent_email.value = form.parent_email1.value + "@" + form.parent_email2.value;
		
		if(! this.checkEmail(form.parent_email.value)){
			alert("올바르지 않은 이메일 형식입니다.");
			return false;
		}
		
		if(! jQuery("form#frm1 [name='parent_juminAgreeCheck']").is(":checked")){
			alert("자녀가 본 사이트 회원으로 등록하는데 동의해 주세요.", "agree1");
			return false;
		}
		
		form.parent_jumin.value = form.parent_jumin1.value + form.parent_jumin2.value;
		//form.submit();
		return true;
	},
	
	/**
	 * 제조사 변경
	 * @param code
	 */
	makerChange : function(code){
		if(code == "38001"){ // 제조사가 베가 일때
			jQuery("#prdRegForm").stop().slideDown(200, function(){
				jQuery(this).find("table").show();
				
				if(jQuery("#seriesProduct").children().length == 0){
					member.getAjaxProduct(jQuery("input[name='series']:checked").val());
				}
				
			});
		}else{
			jQuery("#prdRegForm").find("table").hide();
			jQuery("#prdRegForm").stop().slideUp(200)
		}
	},
	
	/**
	 * 시리즈별 제품목록(AJAX 처리)
	 * @param seriesCode
	 */
	getAjaxProduct : function(seriesNum){
		var seriesProduct = jQuery("#seriesProduct");
		jQuery.ajax({
			url : "/mem/ajaxSeriesProduct.do",
			type : "POST",
			dataType : 'json',
			data : {"seriesNum" : seriesNum},
			beforeSend : function(){
 			// nothing..
				//jQuery.blockUI();
			},
	 		success : function(data){
	 			seriesProduct.html('');
	 			if(data.seriesProductList.length > 0){
	 				jQuery("#seriesProductRoot").show();
	 				seriesProduct.append('<li><input name="prdId" id="model00" class="option" type="radio" value="" /><label for="model00">선택</label></li>');
	 				for(var i = 0; i < data.seriesProductList.length; i++){
		 				var row = data.seriesProductList[i];
		 				seriesProduct.append('<li><input name="prdId" id="model' + i + '" class="option" type="radio" value="' + row.STRNAME + '" checkflag="' + row.CHKFLAG + '" onclick="member.jqChkUpdate(this.id);member.seriesProductCheck(\'' + row.CHKFLAG + '\', \'' + row.STRCODE + '\');"/><label for="model' + i + '">' + row.STRNAME + '</label></li>');
		 				if(i == 0){
		 					member.seriesProductCheck(row.CHKFLAG, row.STRCODE);
		 					seriesProduct.find("li:first>input[type='radio']").prop("checked", true);
		 					seriesProduct.find("li:first>input[type='radio']").trigger("focus");
		 				}
		 			}
	 			}else{
	 				//jQuery("#seriesProductRoot").hide();
	 			}
	 		},
	 		error : function(err){
	 			alert(err.responseText);
	 		}
		});
	},
	
	/**
	 * 제품별 Tag 입력박스 hide/show
	 * @param chkFlag
	 * @param prdid
	 */
	seriesProductCheck : function(chkFlag, prdid){
		if(chkFlag == 'F'){
			jQuery("#productTagNumber").hide(0, function(){
				jQuery(this).find("input:first").val('').attr("disabled", "disabled");
			});
			jQuery("#productMakeDate").show(0, function(){
				jQuery(this).find("input").removeAttr("disabled");
			});
			
		}else{
			jQuery("#productTagNumber").show(0, function(){
				jQuery(this).find("input:first").removeAttr("disabled");
			});
			jQuery("#productMakeDate").hide(0, function(){
				jQuery(this).find("input").attr("disabled", "disabled");
			});
		}
	},
	
	/**
	 * 제조사 변경
	 * @param code
	 */
	makerChangeMobile : function(code){
		if(code == "38001"){ // 제조사가 베가 일때
			jQuery("#prdRegForm").stop().slideDown(200, function(){
				if(jQuery("#seriesProduct").children().length == 0 || jQuery("#seriesProduct").children().length == 1){
					member.getAjaxProductMobile(jQuery("[name='series'] option:selected").val());
				}
				
			});
			jQuery("#prdRegForm").next().stop().slideDown(200);
			jQuery("#prdRegForm").next().next().stop().slideDown(200);
			jQuery("#prdRegForm").next().next().next().stop().slideDown(200);
			jQuery("#prdRegForm").next().next().next().next().stop().slideDown(200);
		}else{
			jQuery("#prdRegForm").stop().slideUp(200);
			jQuery("#prdRegForm").next().stop().slideUp(200);
			jQuery("#prdRegForm").next().next().stop().slideUp(200);
			jQuery("#prdRegForm").next().next().next().stop().slideUp(200);
			jQuery("#prdRegForm").next().next().next().next().stop().slideUp(200);
		}
	},
	
	/**
	 * 시리즈별 제품목록(AJAX 처리)
	 * @param seriesCode
	 */
	getAjaxProductMobile : function(seriesNum){
		var seriesProduct = jQuery("#seriesProduct");
		jQuery.ajax({
			url : "/mem/ajaxSeriesProduct.do",
			type : "POST",
			dataType : 'json',
			data : {"seriesNum" : seriesNum},
			beforeSend : function(){
 			// nothing..
				//jQuery.blockUI();
			},
	 		success : function(data){
	 			seriesProduct.html('');
	 			if(data.seriesProductList.length > 0){
	 				seriesProduct.append('<option value="">선택</option>');
	 				for(var i = 0; i < data.seriesProductList.length; i++){
		 				var row = data.seriesProductList[i];
		 				seriesProduct.append('<option value="' + row.STRNAME + '" checkflag="' + row.CHKFLAG + '" checkCode="' +  row.STRCODE + '">' + row.STRNAME + '</option>');
		 			}
	 			}else{
	 				//jQuery("#seriesProductRoot").hide();
	 			}
	 		},
	 		error : function(err){
	 			alert(err.responseText);
	 		}
		});
	},
	
	/**
	 * 제품별 Tag 입력박스 hide/show
	 * @param chkFlag
	 * @param prdid
	 */
	seriesProductCheckMobile : function(obj, value){
		var chkFlag = jQuery(obj).find("[value='" + value + "']").attr("checkflag");
		var prdid = jQuery(obj).find("[value='" + value + "']").attr("checkCode");
		if(chkFlag == 'F'){
			jQuery("#productTagNumber").hide(0, function(){
				jQuery(this).find("input:first").val('').attr("disabled", "disabled");
			});
			jQuery("#productMakeDate").show(0, function(){
				jQuery(this).find("select").removeAttr("disabled");
			});
			
		}else{
			jQuery("#productTagNumber").show(0, function(){
				jQuery(this).find("input:first").removeAttr("disabled");
			});
			jQuery("#productMakeDate").hide(0, function(){
				jQuery(this).find("select").attr("disabled", "disabled");
			});
		}
	},
	
	/**
	 * 제품모델 check 값 상태 변경
	 */
	jqChkUpdate: function(id){
		jQuery("input[name=prdId]").attr("checked", null);
		jQuery("#"+id).attr("checked", "checked");
	},
	
	/**
	 * 회원정보 유효성 체크
	 * @returns {Boolean}
	 */
	memberValidate : function(type){
		var form = document.frm1;
		
		function jqEl(name){return jQuery("form#frm1 [name='" + name + "']");}
		function jqValue(name){return jQuery.trim(jqEl(name).val());}
		function jqChkValue(name){
			if(type == "M"){
				return jQuery.trim(jqEl(name).find("option:selected").val());
			}else{
				return jQuery.trim(jqEl(name).filter(":checked").val());
			}
		}
		
//		if(jqValue("name") == ""){
//			alert("이름을 입력해 주세요.", "name");
//			return false;
//		}
		
		if(jqValue("userId") == ""){
			alert("아이디를 입력해 주세요.", "userId");
			return false;
		}
		if(jqValue("userId").length < 6){
			alert("아이디는 6자 이상 입력해야 합니다.", "userId");
			return false;
		}
		if(jqValue("userId").length > 20){
			alert("아이디는 12}자 이하로 입력해야 합니다.", "userId");
			return false;
		}
		
		if(! this.checkPassword(jqValue("userId"), form.passwd, form.passwd2)){
			return false;
		}
		
		/*if(jqValue("passwd") == ""){
			alert("비밀번호를 입력해 주세요.", "passwd");
			return false;
		}
		if(jqValue("passwd").length < 8){
			alert("비밀번호는 8자 이상 입력해야 합니다.", "passwd");
			return false;
		}
		if(jqValue("passwd").length > 15){
			alert("비밀번호는 15자 이하로 입력해야 합니다.", "passwd");
			return false;
		}
		
		if(jqValue("passwd2") == ""){
			alert("비밀번호를 다시 입력해 주세요.", "passwd2");
			return false;
		}
		if(jqValue("passwd") != jqValue("passwd2")){
			alert("입력해주신 비밀번호가 서로 다릅니다. 다시 확인해주세요.", "passwd2");
			return false;
		}*/
		
		if(jqValue("hpNo").length < 11){
			alert("휴대폰번호를 정확히 입력해 주세요.", "hp1");
			return false;
		}
//		if(! this.checkNumber(jqValue("hp1"))){
//			alert("휴대폰번호는 반드시 숫자로 입력해야 합니다.", "hp1");
//			return false;
//		}
//		if(jqValue("hp2") == ""){
//			alert("휴대폰번호를 입력해주세요.", "hp2");
//			return false;
//		}
//		if(! this.checkNumber(jqValue("hp2"))){
//			alert("휴대폰번호는 반드시 숫자로 입력해야 합니다.", "hp2");
//			return false;
//		}
//		if(jqValue("hp3") == ""){
//			alert("휴대폰번호를 입력해주세요.", "hp3");
//			return false;
//		}
//		if(! this.checkNumber(jqValue("hp3"))){
//			alert("휴대폰번호는 반드시 숫자로 입력해야 합니다.", "hp3");
//			return false;
//		}

		if(jqValue("email1") == ""){
			alert("이메일주소를 입력해주세요.", "email1");
			return false;
		}
		if(jqValue("email2") == ""){
			alert("이메일주소를 입력해주세요.", "email2");
			return false;
		}
		
		if (jqValue("dupChkEmail") == "N") {
			alert("이메일 중복확인을 해주세요.");
			return false;
		}
		
//		if( (jQuery("#genderM").attr("checked") != "checked") && (jQuery("#genderW").attr("checked") != "checked")  ){
//			alert("성별을 선택해주세요.");
//			return false;
//		}
//		
//		if(jqValue("year") == ""){
//			alert("생년월일의 년도를 선택해주세요.", "year");
//			return false;
//		}
//		
//		if(jqValue("month") == ""){
//			
//			alert("생년월일의 월을 선택해주세요." , "month");
//			return false;
//		}
//		
//		if(jqValue("day") == ""){
//			alert("생년월일의 일을 선택해주세요.", "day");
//			return false;
//		}
		
		var tel1 = "";
		if(type!="M"){
			telno1 = jQuery(":input:radio[name='tel1']:checked").val();
		}else{
			telno1 = jQuery("select[name='tel1']").val();
		}
		
		if(jQuery("input[name='tel2']").val() != "" || jQuery("input[name='tel3']").val() != "" || telno1 != ""){
			if(telno1 == ""){
				alert("지역번호를 선택하세요.");
				return false;
			}
			
			if(jQuery("input[name='tel2']").val() == ""){
				alert("집 전화번호 2번째 자리를 입력하세요.");
				return false;
			}
			
			if(jQuery("input[name='tel3']").val() == ""){
				alert("집 전화번호 3번째 자리를 입력하세요.");
				return false;
			}
		}
		
		
		if(! jqValue("addr1") == "" && jqValue("addr2") == ""){
			alert("상세 주소를 입력해 주세요", "addr2");
			return false;
		}
		
		form.email.value = form.email1.value + "@" + form.email2.value;
		
		if(! this.checkEmail(jqValue("email"))){
			alert("올바르지 않은 이메일 형식입니다.");
			return false;
		}
		
		if(type == "M"){
			if (jqValue("dupChk") == "N") {
				alert("아이디 중복확인을 해주세요.");
				return false;
			}
		}else{
			if(jqValue("dupChk") == "N"){
				fnShowLayerPop('idDupCheckLayer');	
				return false;
			}
		}
		
		
//		if (jqValue("dupChkHpno") == "N") {
//			alert("휴대폰번호 중복확인을 해주세요.");
//			return false;
//		} 
		
//		if (jqValue("dupChkEmail") == "N") {
//			alert("이메일 중복확인을 해주세요.");
//			return false;
//		}
		
		// 휴대전화 등록시
		if(jqValue("makeCompany") == "38001"){
			
			if(jqChkValue("series") == ""){
				alert('사용중인 베가 휴대폰의 제품계열을 입력해주세요.');	
				return false;
			}
			
			if(jqChkValue("prdId") == ""){
				alert('사용중인 베가 휴대폰의 제품명(모델명)을 입력해주세요.');	
				return false;		
			}
			
//			if(jqChkValue("buy_yyyy") == "" || jqChkValue("buy_mm") == ""){
//				alert('사용중인 베가 휴대폰의 구입시기를 입력해주세요.');	
//				return false;
//			}
			
//			form.prdBuyDate.value = jqChkValue("buy_yyyy") + jqChkValue("buy_mm");
			
			if(jqValue('prdSerialNum').length != 7 ){
				alert("시리얼번호를 다시 확인해 주세요.\n(번호 인증 : 제품 시리얼번호는 7자리입니다. 제품 뒷면에 6자리만 적혀있을 경우에는 맨 앞에 '0'을 넣어주세요.)", "prdSerialNum");	
				return false;	
			}

//			if(jQuery("input[name=prdId]:checked").attr("checkflag") == "F"){
//				if(jqChkValue('make_yyyy') == "" || jqChkValue('make_mm') == "" || jqChkValue('make_dd') == ""){
//					alert('사용중인 베가 휴대폰의 제품 제조일자를 입력해주세요.');	
//					return false;
//				}
//				form.prdMakeDate.value = jqChkValue('make_yyyy') + jqChkValue('make_mm') + jqChkValue('make_dd');
//				
//			}else if(jQuery("input[name=prdId]:checked").attr("checkflag") == "T"){
				if(jQuery("#rTag").attr("checked") == "checked"){
					if(jqValue('prdTag') == ""){
						alert('사용중인 베가 휴대폰의 제품 태그를 입력해주세요.', 'prdTag');	
						return false;
					}
				} else if(jQuery("#rImei").attr("checked") == "checked"){
					if(jqValue('prdImei') == ""){
						alert('사용중인 베가 휴대폰의 IMEI를 입력해주세요.', 'prdImei');	
						return false;
					}
				} else {
					alert("TAG 와 IMEI 중 하나는 반드시 입력하셔야 합니다.");
					return false;
				}
				form.prdMakeDate.value = "";
//			}
		}

		// 미니설문
		if(jqValue('strAnswerValues') != ""){
			var strResult = jqValue('strAnswerValues');
			// 기타 선택시
			if(strResult.indexOf("5") > -1){
				strResult += "|기타 답변: " + jqEl('strAnswer1_etc').val();
			}
			jqEl('strResult').val(strResult);
		}else{
			jqEl('strResult').val('Not');
		}
		form.mailingYN.value = form.emailChk.checked ? 'Y':'N';	
		form.smsYN.value = form.smsChk.checked ? 'Y':'N';	
		
		form.hpNo.value = jqChkValue('hp1') + "-" + form.hp2.value + "-" + form.hp3.value;
		form.telNo.value = jqChkValue('telno1') + "-" + form.tel2.value + "-" + form.tel3.value;
		form.zipCode.value = form.zip1.value + "-" + form.zip2.value;
		
		if(member.bformSubmit){
			alert("가입 처리 중입니다.");
			return false;
		}else{
			member.bformSubmit = true;
			//form.submit();
		}
		return true;
	},

	
	/**
	 * 탈퇴 회원정보 체크
	 * @returns {Boolean}
	 */
	outMemChk : function(){
		
		var name = jQuery("input[name='name']");
		var passwd = jQuery("input[name='passwd']");
		var resNo1 = jQuery("input[name='jumin1']");
		var resNo2 = jQuery("input[name='jumin2']"); 
		var chk = jQuery("input[name='agree1']").is(":checked");
		
		if(name.val() == ""){
			alert("이름을 입력하세요.");
			name.focus();
			return false;
		}
		if(passwd.val() == ""){
			alert("비밀번호를 입력하세요.");
			passwd.focus();
			return false;
		}
		if(resNo1.val() == ""){
			alert("주민등록번호를 입력하세요.");
			resNo1.focus();
			return false;
		}
		if(resNo2.val() == ""){
			alert("주민등록번호를 입력하세요.");
			resNo2.focus();
			return false;
		}
		if(!chk){
			alert("주민등록번호 이용에 동의해 주세요.");
			return false;
		}
		
		return true;
	},
	
	/**
	 * 탈퇴 설문조사체크
	 * @returns {Boolean}
	 */
	outMemEnqueteChk : function(){
		var chkCnt = 0;
		var strLen = 0;
		
		jQuery(":radio[name='reason']:checked").each(function(){
			chkCnt++;
		});
		
		if(chkCnt < 1){
			alert("탈퇴 사유에 체크 해주세요.");
			return false;
		}else{
			if(confirm("탈퇴 하시겠습니까?")){
				
			}else{
				return false;
			}
		}
	},
	
	
	checkPassword : function(ObjUserID, ObjUserPassWord, objUserPassWordRe){
		
		if(ObjUserPassWord.value != objUserPassWordRe.value)
	    {
	        alert("입력하신 비밀번호와 비밀번호확인이 일치하지 않습니다");
	        return false;
	    }
	
	    if((ObjUserPassWord.value.length < 8 || ObjUserPassWord.value.length > 15) || !ObjUserPassWord.value.match(/([a-zA-Z].*[0-9])|([0-9].*[a-zA-Z])/))
	    {
	        alert("비밀번호는 문자, 숫자  조합으로 8자리 이상 15자리이내로 입력해주세요.");
	        return false;
	    }
	
		if(ObjUserPassWord.value.length < 8 || ObjUserPassWord.value.length > 15){
			alert("비밀번호는 8자이상 15이자 이하로 입력하세요.");
			return false;
		}
		
	    
	    if(ObjUserID.indexOf(ObjUserPassWord.value) > -1)
	    {
	        alert("비밀번호에 아이디를 사용할 수 없습니다.");
	        return false;
	    }
	    
	    var SamePass_0 = 0; //동일문자 카운트
	    var SamePass_1 = 0; //연속성(+) 카운드
	    var SamePass_2 = 0; //연속성(-) 카운드
	
	    var chr_pass_0;
	    var chr_pass_1;
	
	    var chr_pass_2;
	
	    
	    for(var i=0; i < ObjUserPassWord.value.length; i++)
	    {
	        chr_pass_0 = ObjUserPassWord.value.charAt(i);
	        chr_pass_1 = ObjUserPassWord.value.charAt(i+1);
	        
	        //동일문자 카운트
	        if(chr_pass_0 == chr_pass_1)
	        {
	            SamePass_0 = SamePass_0 + 1
	        }
	        
	       
	        chr_pass_2 = ObjUserPassWord.value.charAt(i+2);
	        //연속성(+) 카운드
	
	        if(chr_pass_0.charCodeAt(0) - chr_pass_1.charCodeAt(0) == 1 && chr_pass_1.charCodeAt(0) - chr_pass_2.charCodeAt(0) == 1)
	        {
	            SamePass_1 = SamePass_1 + 1
	        }
	        
	        //연속성(-) 카운드
	        if(chr_pass_0.charCodeAt(0) - chr_pass_1.charCodeAt(0) == -1 && chr_pass_1.charCodeAt(0) - chr_pass_2.charCodeAt(0) == -1)
	        {
	            SamePass_2 = SamePass_2 + 1
	        }
	    }
	    if(SamePass_0 > 1)
	    {
	        //alert("동일문자를 3번 이상 사용할 수 없습니다.");
	        //return false;
	    }
	   
	    if(SamePass_1 > 1 || SamePass_2 > 1 )
	    {
	        //alert("연속된 문자열(123 또는 321, abc, cba 등)을\n 3자 이상 사용 할 수 없습니다.");
	        //return false;
	    }
	    
	    var checkUserIdArr = [];
	    for(var i = 0; i < ObjUserID.length; i++){
	    	if((i + 4) <= ObjUserID.length){
	    		checkUserIdArr.push(ObjUserID.substring(i, (i + 4)));
	    	}
	    }
	    for(var i = 0; i < checkUserIdArr.length; i++){
	    	if(ObjUserPassWord.value.indexOf(checkUserIdArr[i]) > -1){
	    		alert("아이디와 4자 이상 중복 사용 할 수 없습니다");
	    		return false;
	    	}
	    }
	    
	   	return true;
		
		
	},
	
	miniSurveyArr : [],
	
	/**
	 * 배열의 해당값에 index 추출
	 * @param arr
	 * @param val
	 * @returns {Number}
	 */
	getValueIndex : function(arr, val){
		var retIndex = -1;
		for(var index in arr){
			if(val == arr[index]){
				retIndex =  index;
			}
		}
		return parseInt(retIndex, 10);
	},
	
	/**
	 * 미니 설문 체크 박스
	 */
	surveyCheck : function(id){
		var surveyCheckbox = jQuery("#" + id);
		var value = jQuery(surveyCheckbox).val();
		
		if(surveyCheckbox.is(":checked")){
			if(this.miniSurveyArr.length == 3){
				jQuery(surveyCheckbox).attr({"checked" : false});
				alert("최대 3까지 체크 가능 합니다.");
				return;
			}
			this.miniSurveyArr.push(value);
			jQuery(surveyCheckbox).next().after('<span style="color:#f28555;">' + (this.getValueIndex(this.miniSurveyArr, value) + 1)+ '순위</span>');
		}else{
			if(value == "5"){
				jQuery("input[name='strAnswer1_etc']").val('');
			}
			
			var index = this.getValueIndex(this.miniSurveyArr, value);
			this.miniSurveyArr.splice(index, 1);
			
			if(jQuery(surveyCheckbox).next().next().is("span")){
				jQuery(surveyCheckbox).next().next().remove();
			}
			
			jQuery("#surveyCheckList input[type='checkbox']").each(function(i){
				if(jQuery(this).is(":checked")){
					if(jQuery(this).next().next().is("span")){
						jQuery(this).next().next().text((member.getValueIndex(member.miniSurveyArr, jQuery(this).val()) + 1) + '순위');
					}
				}
			});
		}
		jQuery("input[name='strAnswerValues']").val(this.miniSurveyArr.join(","));
	},
	
	serveyEtcCheck : function(){
		if(! jQuery("#strAnswer4").is(":checked")){
			jQuery("input[name='strAnswer1_etc']").val('');
			return false;
		}
	}
};

jQuery(function(){
	try{
		/**
		 * 글자수체크
		 * @returns
		 */
		jQuery("textarea[name='content']").charCounter(0, 1000, {
			container: "#strTxtLen",
			format: "%1"
		});
	}catch(e){}
});